Foreman - Bug #17636

Template preview requires token to be present for template proxying
12/12/2016 11:38 AM - Lukas Zapletal

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: Templates
Target version: 1.14.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1404582 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4103
Description

Basically | fixed #14479 only in lib/foreman/renderer.rb while we have another copy in

app/models/concerns/host_template_helpers.rb. Preview and real template rendering give different results at the moment.

Ideal solution is to refactor this, but we have a separate ticket for that: #8290.

Related issues:
Related to Foreman - Bug #14479: Function foreman_url check for tokens Closed
Related to Foreman - Bug #8290: dry the foreman_url logic that exists in both... Closed

04/05/2016
11/05/2014

Associated revisions

Revision c4ca7740 - 12/13/2016 02:16 PM - Lukas Zapletal

Fixes #17636 - token no longer needed for proxied preview

Revision f7e49fb3 - 01/30/2017 11:01 AM - Lukas Zapletal

Fixes #17636 - token no longer needed for proxied preview

(cherry picked from commit c4ca77400356ecc01737935ch6254934745fac6e)

History

#1 - 12/12/2016 11:39 AM - Lukas Zapletal
- Related to Bug #14479: Function foreman_url check for tokens added

#2 - 12/12/2016 11:40 AM - Lukas Zapletal

- Description updated

#3 - 12/12/2016 11:40 AM - Lukas Zapletal
- Related to Bug #8290: dry the foreman_url logic that exists in both renderer and host_templates_helper added

#4 - 12/12/2016 11:43 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/4103 added

#5 - 12/13/2016 09:57 AM - Daniel Lobato Garcia

- Target version set to 1.4.3

#6 - 12/13/2016 03:02 PM - Lukas Zapletal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100
https://projects.theforeman.org/issues/14479
https://projects.theforeman.org/issues/8290

Applied in changeset c4ca77400356ecc01737935cb6254934745fac6e.

#7 - 12/14/2016 03:41 AM - Dominic Cleal

- translation missing: en.field_release set to 210

#8 - 12/15/2016 05:13 AM - Lukas Zapletal
- Bugzilla link set to 1404582

#9 - 12/20/2016 09:55 AM - Daniel Lobato Garcia

- Target version changed from 1.4.3 to 1.15.5
